#!/bin/sh

SINK=$(pacmd dump | grep set-default-sink | cut -d ' ' -f 2)

if [ "$1" = "0" ]; then
    pacmd set-sink-mute $SINK 1
elif [ "$1" = "toggle" ]; then
    # toggle not supported by pacmd
    pactl set-sink-mute $SINK toggle
else
    pacmd set-sink-mute $SINK 0
    pactl set-sink-volume $SINK $1
fi
